fail {testthat} | R Documentation

## Default expectations that alway succeed or fail.

### Description

These allow you to manually trigger success or failure. Failure is particularly useful to a pre-condition or mark a test as not yet implemented.

### Usage

    fail(message = "Failure has been forced")

    succeed(message = "Success has been forced")

### Arguments

`message` | a string to display.

### Examples

    ## Not run:
    test_that("this test fails", fail())
    test_that("this test succeeds", succeed())

    ## End(Not run)

[Package testthat version 2.1.1 Index]